SDL_UnbindAudioStreams(3)

NAME
SDL_UnbindAudioStreams - Unbind a list of audio streams from their audio devices.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_UnbindAudioStreams(SDL_AudioStream * const *streams, int num_streams);

DESCRIPTION
The streams being unbound do not all have to be on the same device. All streams on the same device will be unbound atomically (data will stop flowing through all unbound streams on the same device at the same time).

Unbinding a stream that isn't bound to a device is a legal no-op.

FUNCTION PARAMETERS

streams
    an array of audio streams to unbind. Can be NULL or contain NULL.

num_streams
    number streams listed in the streams array.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BindAudioStreams(3)